{-# LANGUAGE OverloadedStrings #-}
module ISIDORE where

import ISIDORE.Client
import Network.HTTP.Client (newManager)
import Network.HTTP.Client.TLS (tlsManagerSettings)
import Servant.Client

-- crawler :: IO ()
crawler n q a = do
  manager' <- newManager tlsManagerSettings
  runClientM (search n q a)
             (mkClientEnv manager' $ BaseUrl Https "api.isidore.science" 443 "resource")
